com.sleepycat.persist

## Class StoreNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.persist.StoreNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class StoreNotFoundException
    extends DatabaseException

Thrown by the `EntityStore` constructor when the `AllowCreate` configuration parameter is false and the store's internal catalog database does not exist.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StoreNotFoundException(java.lang.String message)`

### Method Summary

### Methods inherited from class com.sleepycat.db.DatabaseException

`getEnvironment, getErrno, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StoreNotFoundException

    public StoreNotFoundException(java.lang.String message)